using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{
    public class PromptResult
    {
        public PromptResult() { }

        [JsonPropertyName("code")]
        public int Code { get; set; }

        [JsonPropertyName("image_url")]
        public string ImageUrl { get; set; } = null!;

        [JsonPropertyName("video_url")]
        public string VideoUrl { get; set; } = null!;

        [JsonPropertyName("message")]
        public string Message { get; set; } = null!;

        [JsonPropertyName("llm_result")]
        public string LLmResult { get; set; } = null!;

        [JsonPropertyName("task_id")]
        public string TaskId { get; set; } = null!;

        [JsonPropertyName("object_name")]
        public string ObjectName { get; set; } = null!;
    }
}
